Main Page Modules Data Structures File List Data Fields Globals Related Pages

# fileconf.c File Reference

`#include <stdio.h>`
`#include <string.h>`
`#include <signal.h>`
`#include <pcap.h>`
`#include "rpcapd.h"`
`#include "pcap-remote.h"`
`#include "sockutils.h"`

Go to the source code of this file.

## Functions
int | strrem (char *string, char chr)
void | fileconf_read (int sign)
int | fileconf_save (const char *savefile)
## Variables
char | hostlist [MAX_HOST_LIST+1]
| Keeps the list of the hosts that are allowed to connect to this server.
active_pars | activelist [MAX_ACTIVE_LIST]
| Keeps the list of the hosts (host, port) on which I want to connect to (active mode).
int | nullAuthAllowed
| '1' if we permit NULL authentication, '0' otherwise
char | loadfile [MAX_LINE+1]
| Name of the file from which we have to load the configuration.

## Function Documentation

void fileconf_read | ( | int | sign | ) |

| Definition at line 55 of file fileconf.c. References activelist, active_pars::address, address, hostlist, MAX_ACTIVE_LIST, MAX_LINE, nullAuthAllowed, PCAP_ERRBUF_SIZE, active_pars::port, port, snprintf, SOCK_ASSERT, and strrem(). Referenced by main(), and svc_control_handler().

int fileconf_save | ( | const char * | savefile | ) |

| Definition at line 145 of file fileconf.c. References activelist, active_pars::address, MAX_ACTIVE_LIST, and MAX_HOST_LIST. Referenced by main().

int strrem | ( | char * | string,
|  | char | chr
| ) |

| Definition at line 205 of file fileconf.c. Referenced by fileconf_read().

## Variable Documentation

struct active_pars activelist[MAX_ACTIVE_LIST]

| Keeps the list of the hosts (host, port) on which I want to connect to (active mode). Definition at line 45 of file fileconf.c. Referenced by fileconf_read(), fileconf_save(), and main_startup().

char hostlist[MAX_HOST_LIST + 1]

| Keeps the list of the hosts that are allowed to connect to this server. Definition at line 44 of file fileconf.c. Referenced by fileconf_read(), main(), pcap_remoteact_list(), and sock_check_hostlist().

char loadfile[MAX_LINE + 1]

| Name of the file from which we have to load the configuration. Definition at line 47 of file fileconf.c. Referenced by main().

int nullAuthAllowed

| '1' if we permit NULL authentication, '0' otherwise Definition at line 46 of file fileconf.c. Referenced by daemon_checkauth(), fileconf_read(), main(), main_active(), and main_passive().

documentation. Copyright (c) 2002-2003 Politecnico di Torino. All rights reserved.